Layout of the custom field edit page is different between the single edit page and the batch edit page

2019-11-14 10:28 - Shingo Hosotani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

If you select and edit multiple issues, the custom fields are arranged vertically.

On the other hand, if you select and edit one issue, the custom field is divided into left and right.

single editing:

 single_edit.png 

multiple editing(Before fix):

 bulk_edit_before_fix.png 

Applying this patch will cause the custom field to be split into left and right for multiple edits in Issue.

multiple editing(After fix):

 bulk_edit_after_fix.png 

The attached patch implements this feature.

Related issues:

Blocks Redmine - Feature #33256: Show wiki toolbar for spent time custom fiel... Closed

Blocks Redmine - Defect #33255: Issue auto complete doesn't work for custom f... Closed

Associated revisions

Revision 19689 - 2020-04-11 10:58 - Go MAEDA

Use the same layout for custom fields in issue bulk edit page (#32471).

Patch by Shingo Hosotani and Marius BALTEANU.

Revision 19690 - 2020-04-11 11:00 - Go MAEDA

Unify CSS classes for custom fields in issue#show, issue#edit and issue#bulk_edit (#32471).

Patch by Marius BALTEANU.

Revision 19691 - 2020-04-11 11:02 - Go MAEDA

Show toolbar for full width custom fields with text formatting enabled on issues bulk edit page (#32471).

Patch by Marius BALTEANU.

History

#1 - 2019-11-14 15:51 - Go MAEDA

- Category set to Issues

- Target version set to Candidate for next major release

The patch changes the logic for rendering custom fields in bulk edit page to be the same as in app/views/issues/_form_custom_fields.html.erb.

I think it improves consistency.

#2 - 2019-11-15 07:52 - Shingo Hosotani

It is just as you say.
Modify app/views/issues/bulk_edit.html.erb and app/views/issues/_form_custom_fields.html.erb to reduce duplication.

#3 - 2019-11-26 14:42 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-03-31 11:57 - Go MAEDA

- File single-edit-layout@2x.png added

- File bulk-edit-layout@2x.png added

I think full-width custom fields need to be considered in the bulk edit page.

Editing a single issue:

 single-edit-layout@2x.png 

Bulk edit:

 bulk-edit-layout@2x.png 

#5 - 2020-03-31 12:52 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#6 - 2020-04-05 10:46 - Marius BĂLTEANU

- File 0003-Show-toolbar-for-full-width-custom-fields-with-text-.patch added

- File 0002-Unify-css-classes-for-custom-fields-in-issue-show-is.patch added

- File 0001-Use-same-layout-for-custom-fields-in-issue-bulk-edit.patch added

I've attached 3 patches that fix the problem reported here and also, adds the JS toolbar in this page for full width custom fields with text formatting

enabled. Should some fixes made here backported to minor versions?

#7 - 2020-04-05 10:58 - Marius BĂLTEANU

- Assignee deleted (Marius BĂLTEANU)

All tests pass: https://gitlab.com/redmine-org/redmine/pipelines/132967327

#8 - 2020-04-05 11:40 - Marius BĂLTEANU

- Related to Defect #33255: Issue auto complete doesn't work for custom fields with text formatting enabled on issue bulk edit page   added

#9 - 2020-04-05 11:58 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#10 - 2020-04-05 16:10 - Go MAEDA

- Blocks Feature #33256: Show wiki toolbar for spent time custom fields with text formatting enabled added

#11 - 2020-04-05 17:57 - Marius BĂLTEANU

- Related to deleted (Defect #33255: Issue auto complete doesn't work for custom fields with text formatting enabled on issue bulk edit page  )

#12 - 2020-04-05 17:57 - Marius BĂLTEANU

- Blocks Defect #33255: Issue auto complete doesn't work for custom fields with text formatting enabled on issue bulk edit page   added

#13 - 2020-04-11 11:44 - Go MAEDA

- Subject changed from Custom field edit page is different for single selection and multiple selection to Layout of the custom field edit page is different

between the single edit screen and the batch edit screen

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch series. Thank you.
#14 - 2020-04-11 11:45 - Go MAEDA

- Subject changed from Layout of the custom field edit page is different between the single edit screen and the batch edit screen to Layout of the

custom field edit page is different between the single edit page and the batch edit page

Files

split_custom_field_for_bulk_edit.diff 1.25 KB 2019-11-14 Shingo Hosotani

bulk_edit_after_fix.png 48.4 KB 2019-11-14 Shingo Hosotani

single_edit.png 45.6 KB 2019-11-14 Shingo Hosotani

bulk_edit_before_fix.png 49.2 KB 2019-11-14 Shingo Hosotani

single-edit-layout@2x.png 31.2 KB 2020-03-31 Go MAEDA

bulk-edit-layout@2x.png 41 KB 2020-03-31 Go MAEDA

0003-Show-toolbar-for-full-width-custom-fields-with-text-.patch 1.83 KB 2020-04-05 Marius BĂLTEANU

0002-Unify-css-classes-for-custom-fields-in-issue-show-is.patch 3.62 KB 2020-04-05 Marius BĂLTEANU

0001-Use-same-layout-for-custom-fields-in-issue-bulk-edit.patch 2.05 KB 2020-04-05 Marius BĂLTEANU
